> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team API key details

> Get details of a specific team API key



## OpenAPI

````yaml /openapi/client.json get /team-api-keys/{api_key_id}
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /team-api-keys/{api_key_id}:
    get:
      tags:
        - API Keys
      summary: Get team API key details
      description: Get details of a specific team API key
      parameters:
        - name: api_key_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  description:
                    type: string
                  expires_at_millis:
                    type: number
                  manually_revoked_at_millis:
                    type: number
                  created_at_millis:
                    type: number
                  is_public:
                    type: boolean
                  value:
                    type: object
                    properties:
                      last_four:
                        type: string
                    required:
                      - last_four
                  type:
                    type: string
                    enum:
                      - team
                  team_id:
                    type: string
                required:
                  - id
                  - description
                  - created_at_millis
                  - is_public
                  - value
                  - type
                  - team_id

````